goocanvasmm: Goocanvas::ImageModel Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::ImageModel Class Reference
Inheritance diagram for Goocanvas::ImageModel:
[legend]

List of all members.

## Public Member Functions
virtual | ~ImageModel ()
GooCanvasImageModel* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasImageModel* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasImageModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_pattern ()
| The cairo pattern to paint.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_pattern () const
| The cairo pattern to paint.
Glib::PropertyProxy< bool > | property_scale_to_fit ()
| If the image is scaled to fit the width and height settings.
Glib::PropertyProxy_ReadOnly < bool > | property_scale_to_fit () const
| If the image is scaled to fit the width and height settings.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf ()
| The GdkPixbuf to display.
## Static Public Member Functions
static Glib::RefPtr< ImageModel > | create (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double x, double y)
static Glib::RefPtr< ImageModel > | create (double x, double y)
## Protected Member Functions
| ImageModel (double x, double y)
| ImageModel (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double x, double y)
| ImageModel ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::ImageModel > | wrap (GooCanvasImageModel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::ImageModel::~ImageModel | ( |  | ) | `[virtual]`

Goocanvas::ImageModel::ImageModel | ( | double | x,
|  | double | y
| ) |  | `[protected]`

Goocanvas::ImageModel::ImageModel | ( | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf,
|  | double | x,
|  | double | y
| ) |  | `[protected]`

Goocanvas::ImageModel::ImageModel | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<ImageModel> Goocanvas::ImageModel::create | ( | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf,
|  | double | x,
|  | double | y
| ) |  | `[static]`

static Glib::RefPtr<ImageModel> Goocanvas::ImageModel::create | ( | double | x,
|  | double | y
| ) |  | `[static]`

const GooCanvasImageModel* Goocanvas::ImageModel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

GooCanvasImageModel* Goocanvas::ImageModel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

GooCanvasImageModel* Goocanvas::ImageModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemModelSimple.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ImageModel::property_pattern | ( |  | ) |

The cairo pattern to paint.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ImageModel::property_pattern | ( |  | ) | const

The cairo pattern to paint.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::ImageModel::property_pixbuf | ( |  | ) |

The GdkPixbuf to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::ImageModel::property_scale_to_fit | ( |  | ) | const

If the image is scaled to fit the width and height settings.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::ImageModel::property_scale_to_fit | ( |  | ) |

If the image is scaled to fit the width and height settings.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::ImageModel > wrap | ( | GooCanvasImageModel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/imagemodel.h